Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456428 - Incorrect bugzilla mail headers
Summary: Incorrect bugzilla mail headers
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Email Notifications
Version: 2.18
Hardware: All
OS: Linux
low
low vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-23 14:37 UTC by Josh Bressers
Modified: 2013-06-24 02:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-29 15:39:32 UTC


Attachments (Terms of Use)

Description Josh Bressers 2008-07-23 14:37:34 UTC
When I receive email notifications from bugzilla, the X-Bugzilla-Comment header
is either Public or Private, but there is really a third state, which is when
the comment is empty.  When there is no comment, it seems to be marked as Public.

I would love to be able to filter my incoming and throw out things that are say
only a change to the CC field when no comment is added.

Comment 1 David Lawrence 2008-07-29 15:39:32 UTC
This will be fixed in the next release. It has been tested internally but it
cannot be tested yet on partner-bugzilla as email is disabled of course. Please
reopen this post-migration of you do not see the header properly.


Note You need to log in before you can comment on or make changes to this bug.